# Class Colors

java.lang.Object
org.apache.jmeter.visualizers.utils.Colors

public class Colors extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`DEFAULT_COLORS_PROPERTY_FILE`
`protected static final String`
`USER_DEFINED_COLORS_PROPERTY_FILE`

## Constructor Summary

Constructors
Constructor
Description
`Colors()`

## Method Summary

Modifier and Type
Method
Description
`static List<Color>`
`getColors()`
Parse icon set file.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_COLORS_PROPERTY_FILE

protected static final String DEFAULT_COLORS_PROPERTY_FILE

See Also:
  - Constant Field Values

### USER_DEFINED_COLORS_PROPERTY_FILE

protected static final String USER_DEFINED_COLORS_PROPERTY_FILE

See Also:
  - Constant Field Values

## Constructor Details

### Colors

public Colors()

## Method Details

### getColors

public static List<Color> getColors()
Parse icon set file.

Returns:
  List of icons/action definition